请教一个关于apt-get autoremove的问题

为当前最终发行版之前的所有版本提供支持
回复
cashlu
帖子: 142
注册时间: 2005-10-03 3:30
送出感谢: 0
接收感谢: 0
联系:

请教一个关于apt-get autoremove的问题

#1

帖子 cashlu » 2007-05-27 23:06

这个命令是不是根据你的使用情况,将那些你一直没有使用过的包自动卸载掉?

如果是这样的话,会不会产生一些依赖问题?也就是说他会不会自动的把一些其他软件依赖的包给删除掉?
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 BigSnake.NET » 2007-05-27 23:15

不是..看man
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
jieying
帖子: 371
注册时间: 2005-11-03 17:52
送出感谢: 0
接收感谢: 0

#3

帖子 jieying » 2007-05-28 1:01

是自动删除一些不再需要的包,放心使用好了。一般你apt-get remove package之后,有些东西用不上了,会自动提醒你使用这个命令的。
头像
bwchaos
帖子: 416
注册时间: 2006-10-19 14:08
来自: 西夏
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 bwchaos » 2007-05-28 9:00

加auto的它处理的比你明白
boboppie
帖子: 135
注册时间: 2007-03-18 9:37
送出感谢: 0
接收感谢: 0

#5

帖子 boboppie » 2007-06-05 11:09

删除的是那些不再有依赖关系的包吧,今天第一次用,把老内核删除了,就提示autoremove一堆包
leaf6360
帖子: 15
注册时间: 2007-06-05 17:49
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 leaf6360 » 2007-06-05 18:26

本人新手。对这个也不太了解。
可是发现貌似会删除一些其它程序的依赖。
比如用此命令卸SCIM的话,会把中文包也K掉。导致系统变成半E半中?
FOX反正会全E了。。。以前干过这活,所以后来卸SCIM都是用 sudo apt-get remove scim
wkt
帖子: 849
注册时间: 2006-09-07 22:51
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 wkt » 2007-06-05 21:07

我不喜欢automove的功能?
回复

回到 “老旧版本支持”